<?php
///////////////////////////////
// Assign personal user data //
///////////////////////////////

// Get a new instance for personal data
$blockInstance = ObjectFactory::createObjectByConfiguredName('web_block_helper', array($this, 'persona_data'));

// Set the data source instance which must exist in registry
$blockInstance->prefetchValueInstance('user', 'user_points');

// Assign fields with template variables
$blockInstance->assignField('username');
$blockInstance->assignFieldWithFilter('user_status', 'user_status_translator');
$blockInstance->assignFieldWithFilter('points', 'format_number');

// Shall we include registration date?
if ($blockInstance->ifIncludeRegistrationStamp()) {
	// Then assign it as well!
	$blockInstance->assignFieldWithFilter('registered', 'format_timestamp');
} // END - if

// Flush the content out to a template variable
$blockInstance->flushContent();

//////////////////////////////////////
// Assign the shipping company data //
//////////////////////////////////////

// Get a new instance for personal data
$blockInstance = ObjectFactory::createObjectByConfiguredName('web_block_helper', array($this, 'company_data'));

// Set the data source instance
$blockInstance->prefetchValueInstance('company', 'user');

// Assign the company name
if ($blockInstance->getValueInstance()->ifUserIsFounder()) {
	// User is the founder of the company
	$blockInstance->assignMessageField('company_status', 'user_is_company_founder');
	$blockInstance->assignLinkFieldWithAction('company' , 'company_overview');
	$blockInstance->assignMessageField('company', 'link_text_company_overview');
	$blockInstance->assignMessageField('company_title', 'link_title_company_overview');
} elseif ($blockInstance->getValueInstance()->ifUserIsOwner()) {
	// User owns the company
	$blockInstance->assignMessageField('company_status', 'user_is_company_owner');
	$blockInstance->assignLinkFieldWithAction('company' , 'company_overview');
	$blockInstance->assignMessageField('company', 'link_text_company_overview');
	$blockInstance->assignMessageField('company_title', 'link_title_company_overview');
} elseif ($blockInstance->getValueInstance()->ifUserIsEmployee()) {
	// User is employed in company
	$blockInstance->assignMessageField('company_status', 'user_is_employed_in_company');
	$blockInstance->assignLinkFieldWithAction('company' , 'employee_overview');
	$blockInstance->assignMessageField('company', 'link_text_employee_overview');
	$blockInstance->assignMessageField('company_title', 'link_title_employee_overview');
} else {
	// No company participation!
	$blockInstance->assignMessageField('company_status', 'user_not_assigned_company');
	$blockInstance->assignLinkFieldWithAction('company' , 'company');
	$blockInstance->assignMessageField('company', 'link_text_company');
	$blockInstance->assignMessageField('company_title', 'link_title_company');
}

// Flush the content out to a template variable
$blockInstance->flushContent();

// Get helper instance
$linkInstance = ObjectFactory::createObjectByConfiguredName('web_link_helper', array($this, 'logout'));

// Add action
$linkInstance->addActionLinkById('logout', 'logout');

// Flush the content
$linkInstance->flushContent();

// [EOC]
?>
<div id="content_header">
	Willkommen im Loginbereich von <span class="app_name">{?app_full_name?}</span>!
</div>

<div id="content_body">
	{?login_content?}
</div>

<div id="persona_data" title="Informationen zu Deinem Spieleaccount">
	<div id="persona_header">
		Account-Infos:
	</div>

	<div id="persona_body">
		{?persona_data?}
	</div>

	<div id="logout">
		{?logout?}
	</div>
</div>

<div id="company_data" title="Informationen zu der aktuell ausgew&auml;hlten Reederei">
	<div id="company_header">
		Reederei-Infos:
	</div>

	<div id="company_body">
		{?company_data?}
	</div>
</div>
